/* A vertex shader that assigns this vertex's
   texture coordinate attribute to a varying
   attribute that is interpolated for fragments.
*/

attribute vec2 vertex_texture_coordinate;
varying   vec2 fragment_texture_coordinate;

void main(void)
{
	/* we still need to assign a position and color for 
 	   the vertex.  By overriding the standard GL pipeline,
 	   GL no longer does this for us by default. 
	*/
	gl_Position = gl_ModelViewProjectionMatrix*gl_Vertex;
	gl_FrontColor = gl_Color;

	fragment_texture_coordinate = vertex_texture_coordinate;
}

